org.apache.struts2.views.util

## Interface UrlHelper

- All Known Implementing Classes:
    DefaultUrlHelper

      public interface UrlHelper

  Helper class used to build Urls or parse request params

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AMP`
    `static int` | `DEFAULT_HTTP_PORT` Default HTTP port (80).
    `static int` | `DEFAULT_HTTPS_PORT` Default HTTPS port (443).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildParametersString(Map<String,Object> params, StringBuilder link, String paramSeparator)`
    `String` | `buildUrl(String action, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Map<String,Object> params)`
    `String` | `buildUrl(String action, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Map<String,Object> params, String scheme, boolean includeContext, boolean encodeResult)`
    `String` | `buildUrl(String action, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Map<String,Object> params, String scheme, boolean includeContext, boolean encodeResult, boolean forceAddSchemeHostAndPort)`
    `String` | `buildUrl(String action, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Map<String,Object> params, String scheme, boolean includeContext, boolean encodeResult, boolean forceAddSchemeHostAndPort, boolean escapeAmp)`
    `Map<String,Object>` | `parseQueryString(String queryString, boolean forceValueArray)`

- - ### Field Detail

    - #### DEFAULT_HTTP_PORT

          static final int DEFAULT_HTTP_PORT

      Default HTTP port (80).
      See Also:
        Constant Field Values

    - #### DEFAULT_HTTPS_PORT

          static final int DEFAULT_HTTPS_PORT

      Default HTTPS port (443).
      See Also:
        Constant Field Values

    - #### AMP

          static final String AMP

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### buildUrl

          String buildUrl(String action,
                        javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        Map<String,Object> params)

    - #### buildUrl

          String buildUrl(String action,
                        javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        Map<String,Object> params,
                        String scheme,
                        boolean includeContext,
                        boolean encodeResult)

    - #### buildUrl

          String buildUrl(String action,
                        javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        Map<String,Object> params,
                        String scheme,
                        boolean includeContext,
                        boolean encodeResult,
                        boolean forceAddSchemeHostAndPort)

    - #### buildUrl

          String buildUrl(String action,
                        javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        Map<String,Object> params,
                        String scheme,
                        boolean includeContext,
                        boolean encodeResult,
                        boolean forceAddSchemeHostAndPort,
                        boolean escapeAmp)

    - #### buildParametersString

          void buildParametersString(Map<String,Object> params,
                                   StringBuilder link,
                                   String paramSeparator)

    - #### parseQueryString

          Map<String,Object> parseQueryString(String queryString,
                                            boolean forceValueArray)

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.